<div class="col-md-12"> 
    <div class="card"><!-- EVENT DETAILS -->
        <div class="card-header pb-0 p-3">
            <div class="d-flex align-items-center">
                <h5 class="mb-0 text-primary">Enrolled Players</h5>
                  <% if @event.status.upcase != "CLOSED"%>
                  <div class="dropdown ms-auto">
                          <button type="button" class="btn bg-gradient-primary dropdown-toggle" data-bs-toggle="dropdown" aria-expanded="false">
                            Action
                          </button>
                          <ul class="dropdown-menu px-2 py-3" aria-labelledby="dropdownMenuButton">
                            <li>                              
                              <%= link_to(new_match_player_path(@event), class: "dropdown-item") do %>
                                    Enroll player&nbsp;&nbsp;<i class="fa fa-address-card-o"></i>
                              <%end%>                              
                            </li>                              
                            <li>
                              <% if @event.mixed == false%>
                                <%= link_to(event_couples_path(@event), class: "dropdown-item") do %>
                                      Event couples&nbsp;&nbsp;<i class="fa fa-users"></i>
                                <%end%>
                              <%end%>
                            </li>
                          </ul>
                  </div>



                    
                    
                <%else%>
                    <%= link_to(events_path(@event), class: "btn bg-gradient-primary ms-auto") do %>
                          <i class="fa fa-list"></i>&nbsp;&nbsp;Event list
                    <%end%>
                <%end%>
            </div>            
        </div>
        <div class="card-body p-3">
            <div class="row">
                <div class="col-6">
                    <ul class="list-group">
                        <li class="list-group-item border-0 ps-0 pt-0 text-sm"><strong class="text-dark">Event Name:</strong> &nbsp; [<%=@event.id%>]&nbsp;<%=@event.name.titleize%>&nbsp;
                            <span class="badge badge-pill badge-lg bg-gradient-danger"><%="CLOSED" if @event.status.upcase == "CLOSED"%></span>
                        </li>
                        <li class="list-group-item border-0 ps-0 text-sm"><strong class="text-dark">Date:</strong> &nbsp; <%=local_time(@event.created_at, %"%d/%m/%Y") %> at <%=@event.timeIni.strftime("%H:%M")%> - <%=@event.timeEnd.strftime("%H:%M")%></li>
                        <li class="list-group-item border-0 ps-0 text-sm"><strong class="text-dark">Couples:</strong> &nbsp; <%=(@event.mixed? ? "MIXED":"FIXED" ) %>&nbsp;
                              <strong class="text-dark">Category:</strong>&nbsp; <%=@event.level%>&nbsp;
                              <strong class="text-dark">Max Players:</strong>&nbsp; <%=@event.people%>
                        </li>
                        
                    </ul>
                </div>                
            </div>
        </div>
    </div>
    
    <div class="col-md-12">
        <br>
    </div>

    <div class="row">
        <div class="col-12">
          <div class="card mb-4">
          <div class="d-flex px-2 py-1">
          </div>
            
            
            
          <div class="card-body px-0 pt-0 pb-2">
              <div class="table-responsive p-0">
                <table class="table align-items-center mb-0">
                  <thead>
                    <tr>                      
                      <th class="text-uppercase text-primary text-s font-weight-bolder">#</th>
                      <th class="text-uppercase text-primary text-s font-weight-bolder">Player</th>
                      <th class="text-uppercase text-primary text-s font-weight-bolder">Status</th>
                      <th class="text-uppercase text-primary text-s font-weight-bolder">Enrolled date</th>
                      <th class="text-uppercase text-primary text-s font-weight-bolder">&nbsp;&nbsp;&nbsp;</th>                      
                    </tr>
                  </thead>
                  <tbody>
                  <% @match_players.all.sort_by{|mp| mp.created_at}.each.with_index(1).each do | mp, i |%>
                    <tr>
                      <td>
                        <p class="text-xs font-weight-bold mb-0"><%=i%></p>
                      </td>
                      <td>                      
                        <div class="d-flex px-2 py-1"> 
                          <div>
                            <%if !mp.player.image_attachment.nil?%>
                              <%= image_tag(mp.player.image, class: "avatar avatar-sm me-3")%>
                            <%else%>
                              <%= image_tag("blank-profile-picture.jpg", class: "avatar avatar-sm me-3")%>
                            <%end%>                            
                          </div>
                          <div class="d-flex flex-column justify-content-center">
                            <h6 class="mb-0 text-sm"><%=mp.player.name.titleize%></h6>
                            <p class="text-xs text-secondary mb-0"><%=mp.player.cellphone%></p>
                          </div>
                        </div>
                      </td>
                      <td>                        
                        <div class="d-flex flex-column justify-content-center">
                          <%if mp.status=='OnBoard' %>
                            <span class="badge badge-sm bg-gradient-success"><%=mp.status%></span>
                          <%else%>
                            <span class="badge badge-sm bg-gradient-danger"><%=mp.status%></span>
                          <%end%>                          
                        </div>                        
                      </td>
                      <td>

                        <div class="d-flex flex-column justify-content-left"> 
                            <h6 class="mb-0 text-sm"><%= local_time(mp.created_at, %"%d/%m/%Y %H:%M:%S")%></h6>
                          
                          </div>
                        </div>                      
                      </td>
                      <td>
                        <div> 
                        <% if @event.status.upcase != "CLOSED"%>
                          <%= link_to(mp, data: {turbo_method: :delete, turbo_confirm: 'Are you sure?'}, class: "btn btn-sm btn-danger ms-auto") do %>
                                <i class="fa fa-sign-out"></i>&nbsp;&nbsp;Quit
                          <%end%>
                        <%end%>
                        </div>
                      </td>
                    </tr>
                    <%end%>
                  </tbody>
                </table>
              </div>
            </div>


            

            

          </div>
        </div>
    </div>
</div>



